%define		_class		Services
%define		_subclass	Ebay
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.13.1
Release:	%mkrel 8
Summary:	Interface to eBay's XML-API
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Services_Ebay/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch
%global		__requires_exclude_from %{_docdir}


%description
Interface to eBay's XML-API. It provides objects that are able to
communicate with eBay as well as models that help you working with the
return values like User or Item models.
The Services_Ebay class provides a unified method to use all objects.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_Ebay.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_Ebay.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_Ebay
fi

%files
%doc docs/Services_Ebay/*
%{peardir}/*
%{xmldir}/Services_Ebay.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.13.1-8.mga6
+ Revision: 950014
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 0.13.1-7.mga5
+ Revision: 792125
- exclude deps from doc

* Wed Oct 15 2014 umeabot <umeabot> 0.13.1-6.mga5
+ Revision: 742253
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.13.1-5.mga5
+ Revision: 734167
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.13.1-4.mga5
+ Revision: 687454
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.13.1-3.mga4
+ Revision: 528299
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.13.1-2.mga4
+ Revision: 444122
- removed the "commented out %%define _requires_exceptions"
 * looks like upstream has now fixed this

* Mon Jun 17 2013 spuhler <spuhler> 0.13.1-1.mga4
+ Revision: 443963
- upgrade to version 0.13.1
- pearized spec file
- upgrade to version 0.13.1
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.12.0-8.mga3
+ Revision: 377257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.12.0-7.mga1
+ Revision: 44204
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Services_Ebay


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-7mdv2011.0
+ Revision: 613769
- the mass rebuild of 2010.1 packages

* Tue Nov 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.0-6mdv2010.1
+ Revision: 467078
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.12.0-5mdv2010.0
+ Revision: 441566
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-4mdv2009.1
+ Revision: 322659
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-3mdv2009.0
+ Revision: 237063
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-2mdv2007.1
+ Revision: 140454
- fix deps

* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-1mdv2007.0
+ Revision: 82583
- Import php-pear-Services_Ebay

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-1mdk
- 0.12.0
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-1mdk
- initial Mandriva package (PLD import)

